Package twisted :: Package protocols :: Package gps :: Module rockwell :: Class Zodiac

[frames | no frames]

## Class Zodiac

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Zodiac

Method Summary
| `dataReceived(self, recd)`
| `decode_channelmeas(self, message)`
| `decode_channels(self, message)`
| `decode_dgps(self, message)`
| `decode_ecef(self, message)`
| `decode_eepromstatus(self, message)`
| `decode_eepromupdate(self, message)`
| `decode_fix(self, message)`
| `decode_id(self, message)`
| `decode_meastimemark(self, message)`
| `decode_satellites(self, message)`
| `decode_serial(self, message)`
| `decode_testresults(self, message)`
| `decode_usersettings(self, message)`
| `decode_utctimemark(self, message)`
| `receivedMessage(self, msg_id, message, acknak)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`int` | `allow_earthmate_hack` = 1
`dict` | `dispatch` = `{1000: 'fix', 1001: 'ecef', 1002: 'channels',...`
`int` | `MAX_LENGTH` = 296
`dict` | `messages` = `{'udatum': 1210, 'dgpsd': 1351, 'smask': 1212...`
`str` | `recvd` = `''`
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Class Variable Details

### allow_earthmate_hack

  Type:
    `int`
  Value:

        1

### dispatch

  Type:
    `dict`
  Value:

        {1000: 'fix',
         1001: 'ecef',
         1002: 'channels',
         1003: 'satellites',
         1005: 'dgps',
         1007: 'channelmeas',
         1011: 'id',
         1012: 'usersettings',
        ...

### MAX_LENGTH

  Type:
    `int`
  Value:

        296

### messages

  Type:
    `dict`
  Value:

        {'altinput': 1219,
         'antenna': 1218,
         'appctl': 1220,
         'dgpsc': 1214,
         'dgpsd': 1351,
         'fix': 1200,
         'mdatum': 1211,
         'msgctl': 1331,
        ...

### recvd

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 2.0 on Sat May 15 20:08:44 2004 | http://epydoc.sf.net